Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 747319 - x11-drivers/nvidia-drivers-455.23.04-r1 causes kernel fault
Summary: x11-drivers/nvidia-drivers-455.23.04-r1 causes kernel fault
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: David Seifert
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-08 12:12 UTC by Harris Landgarten
Modified: 2021-03-03 00:42 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
log showing kernel fault with backtrace (log,17.71 KB, text/plain)
2020-10-08 12:12 UTC, Harris Landgarten
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Harris Landgarten 2020-10-08 12:12:12 UTC
Created attachment 664366 [details]
log showing kernel fault with backtrace

x11-drivers/nvidia-drivers-455.23.04-r1 and x11-drivers/nvidia-drivers-455.23.04 before it causes loss of all keyboard and mouse function after running for about an hour. Log showing kernel failure is attached
Comment 1 Ionen Wolkens 2020-10-09 00:14:37 UTC
Haven't run into that one myself but looks a lot like:
https://forums.developer.nvidia.com/t/bug-report-455-23-04-kernel-panic-due-to-null-pointer-dereference/155506

Could potentially be fixed in 455.28 that released yesterday (haven't seen reports yet), I find 450.80.02 to be generally more stable right now though.
Comment 2 Harris Landgarten 2020-10-11 16:50:51 UTC
nvidia-drivers-455.28 has the exact same issue and crashes the kernel with the same null-pointer.
Comment 3 Harris Landgarten 2021-01-27 04:02:50 UTC
460.39 has been released, guys: This might fix this bug according to Nvidia
Comment 4 Harris Landgarten 2021-01-28 04:59:24 UTC
I have now been up for 10 hrs with 460.39 running my usual work load which has crashed within an hour on all the drivers since 450.80. This bug seems to be fixed for me with this release.
Comment 5 Ionen Wolkens 2021-03-01 02:49:16 UTC
Good to hear, and if there's cases where 460.39 wasn't enough, nvidia forums has a lot of reports saying 460.56 fixed this (now in tree).
Comment 6 Ionen Wolkens 2021-03-03 00:42:12 UTC
Feel free to re-open if it happens again, I hope this one is really over.